'\" t
.\"	quickie - a small fast C++ Wiki Wiki
.\"	Copyright (C) 2005 Peter Miller
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.\" MANIFEST: source of the README file
.\"
.TH "Read Me" Quickie Quickie "Reference Manual"
.so version.so
.hy 0
.ad l
.SH NAME
Quickie \- a small fast C++ Wiki Wiki
.XX "" "The README file"
.SH DESCRIPTION
The \fIQuickie\fP program is a small fast wiki engine written in C++,
hence the name.
.PP
Quickie is a small footprint, fast C++ Wiki engine. I went looking for
small fast wiki engines and didn't find one.  Too many were written
in interpretive languages with huge run-time footprints.  Quickie is
small and fast.
.br
.ne 1i
.SH ARCHIVE SITE
The latest version of Quickie is available on the Web from:
.RS 4m
.TS
tab(;);
l l s
l l l.
URL:;http://quickie.sourceforge.net/
File:;quickie.html;# the Quickie page
File:;quickie-\*(v).README;# Description, from the tar file
File:;quickie-\*(v).lsm;# Description, LSM format
File:;quickie-\*(v).spec;# RedHat package specification
File:;quickie-\*(v).tar.gz;# the complete source
File:;quickie-\*(v).pdf;# Reference Manual
.TE
.RE
.br
.ne 1i
.SH BUILDING QUICKIE
Full instructions for building Quickie may be found in the
\fIBUILDING\fP file included in this distribution.
.br
.ne 1i
.SH COPYRIGHT
Quickie version \*(v)
.br
Copyright
.if t \(co
.if n (C)
\*(Y) Peter Miller;
All rights reserved.
.PP
This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
.PP
You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.PP
It should be in the \fILICENSE\fP file included with this distribution.
.br
.ne 1i
.SH AUTHOR
.TS
tab(;);
l l l.
Peter Miller;E-Mail:;millerp@canb.auug.org.au
\f(CW/\e/\e*\fP;WWW:;http://www.canb.auug.org.au/~millerp/
.TE
.br
.bp
.SH RELEASE NOTES
.XX "" "Release Notes"
This section details the various features and bug fixes of the various
releases.  For excruciating and complete detail, and also credits for
those of you who have generously sent me suggestions and bug reports,
see the \fIetc/CHANGES.*\fP files.
.so new.so
