//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the quit_normal class
//

#pragma implementation "quit_normal"

#include <cstdarg>
#include <cstdio>
#include <cstdlib>

#include <progname.h>
#include <quit/normal.h>


quit_normal::quit_normal()
{
}


quit_normal::quit_normal(const quit_normal &arg)
{
}


quit_normal &
quit_normal::operator=(const quit_normal &arg)
{
    return *this;
}


quit_normal::~quit_normal()
{
}


void
quit_normal::exit_inner(int n)
{
    ::exit(n);
}


void
quit_normal::message_v(const char *fmt, va_list ap)
{
    fflush(stdout);
    fprintf(stderr, "%s: ", progname_get());
    vfprintf(stderr, fmt, ap);
    fputc('\n', stderr);
    fflush(stderr);
}
