//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the arglex_po class
//

#pragma implementation "arglex_po"

#include <arglex/po.h>


arglex_po::~arglex_po()
{
}


arglex_po::arglex_po(int ac, char **av) :
    arglex(ac, av)
{
    static table_t table[] =
    {
	{ "-Automatic", token_automatic, },
	{ "-Cgi_bin", token_cgi_bin, },
	{ "-Local_state_directory", token_localstatedir, },
	{ "-VARiable_directory", token_localstatedir, },
    };

    table_set(table);

    usage_tail_set("[ --auto | --cgi | --var ]");
}
