//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the quit_atexit_unlink class
//

#pragma implementation "quit_atexit_unlink"

#include <unistd.h>

#include <quit/atexit/unlink.h>


quit_atexit_unlink::~quit_atexit_unlink()
{
}


quit_atexit_unlink::quit_atexit_unlink(const rcstring &arg) :
    path(arg)
{
}


void
quit_atexit_unlink::action(int exit_status)
{
    if (exit_status)
    {
	// Ignore whether or not the unlink succeds.
	unlink(path.c_str());
    }
}
