//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the tree_walk_functor_recent class
//

#pragma implementation "tree_walk_functor_recent"

#include <sys/types.h>
#include <sys/stat.h>

#include <tree_walk/functor/recent.h>


tree_walk_functor_recent::~tree_walk_functor_recent()
{
}


tree_walk_functor_recent::tree_walk_functor_recent()
{
}


bool
tree_walk_functor_recent::operator()(const rcstring &user_path,
    const struct stat &st)
{
    pages.push_back(recent(user_path, st.st_mtime));
    return true;
}


void
tree_walk_functor_recent::print(output &out)
{
    pages.sort();
    pages.print(out);
}
