//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the wiki_mode_paragraph_html class
//

#pragma implementation "wiki_mode_paragraph_html"

#include <wiki_mode/paragraph/html.h>


wiki_mode_paragraph_html::~wiki_mode_paragraph_html()
{
}


wiki_mode_paragraph_html::wiki_mode_paragraph_html(output *arg1,
	const rcstring &arg2) :
    wiki_mode_paragraph(arg1),
    css_class_name(arg2)
{
}


void
wiki_mode_paragraph_html::begin()
{
    bol();
    write("<P CLASS=\"");
    write(css_class_name);
    write("\">");
}


void
wiki_mode_paragraph_html::end()
{
    write("</P>\n");
}
