//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the wiki_mode_simple class
//

#pragma implementation "wiki_mode_simple"

#include <wiki_mode/simple.h>


wiki_mode_simple::~wiki_mode_simple()
{
}


wiki_mode_simple::wiki_mode_simple(output *arg1, const rcstring &arg2,
	const rcstring &arg3) :
    wiki_mode(arg1),
    element_name(arg2),
    class_name(arg3)
{
}


void
wiki_mode_simple::begin()
{
    write("<");
    write(element_name);
    write(" CLASS=\"");
    write(class_name);
    write("\">");
}


void
wiki_mode_simple::end()
{
    write("</");
    write(element_name);
    write(">");
}
