//
//	quickie - a small fast C++ Wiki Wiki
//	Copyright (C) 2005 Peter Miller
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the wiki_mode_simple_italics class
//

#pragma implementation "wiki_mode_simple_italics"

#include <wiki_mode/simple/italics.h>


wiki_mode_simple_italics::~wiki_mode_simple_italics()
{
}


wiki_mode_simple_italics::wiki_mode_simple_italics(output *arg1,
       	const rcstring &arg2) :
    wiki_mode_simple(arg1, "EM", arg2)
{
}


wiki_mode::type_t
wiki_mode_simple_italics::get_type()
    const
{
    return type_italics;
}
